import React, {useState} from 'react';

export default () => {
  const [contador, setContador] = useState(0);
  const onClick = () => setContador(contador + 1);
  return (
    <div>
      <p>Total {contador}</p>
      <button onClick={onClick}>
        Adicionar
      </button>
    </div>
  );
}